import { get, put, post, deletes } from '@/http/index'

// 查询寿命预测结果列表
export const getLifePredictionResult = async (data) => {
  return await get('/als/lifePredictionResult/list', data)
}

// 新增寿命预测结果
export const addLifePredictionResult = async (data) => {
  return await post('/als/lifePredictionResult', data)
}

// 修改寿命预测结果
export const updateLifePredictionResult = async (data) => {
  return await put('/als/lifePredictionResult', data)
}

// 删除寿命预测结果
export const removeLifePredictionResult = async (id) => {
  return await deletes('/als/lifePredictionResult/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
